class ch0314
  {static int a=48,b=27;
   public static void main(String args[])
      { Zdgys s=new Zdgys();
        System.out.println(""+a+"和"+b+"的最大公约数为："+s.result());
      }
     
   static class Zdgys
     {public int result( )
       {int u,v,r;
        u=a; v=b; r=u%v;
        while(r!=0)
          {u=v; v=r; r=u%v;  }
          return v;
          }
       }
     }
